%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-IPC-Run3
Version:       0.049
Release:       1mamba
Summary:       IPC::Run3 - run a subprocess with input/ouput redirection
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/IPC-Run3-%{version}.tar.gz
License:       GPL, Artistic, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
This module allows you to run a subprocess and redirect stdin, stdout, and/or stderr to files and perl data structures. It aims to satisfy 99% of the need for using system, qx, and open3 with a simple, extremely Perlish API and none of the bloat and rarely used features of IPC::Run.

%prep
%setup -q -n IPC-Run3-%{version}

find -type f -exec chmod -x {} \;

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{perl_vendorlib}/IPC
%{perl_vendorlib}/IPC/*
%{_mandir}/man3/*.3pm*
%doc LICENSE

%changelog
* Fri Jan 26 2024 Automatic Build System <autodist@openmamba.org> 0.049-1mamba
- automatic version update by autodist

* Wed Apr 09 2014 Automatic Build System <autodist@mambasoft.it> 0.048-1mamba
- automatic update by autodist

* Sat Jun 22 2013 Automatic Build System <autodist@mambasoft.it> 0.046-1mamba
- automatic version update by autodist

* Fri Dec 23 2011 Automatic Build System <autodist@mambasoft.it> 0.045-1mamba
- automatic version update by autodist

* Fri Feb 18 2011 gil <puntogil@libero.it> 0.044-1mamba
- package created by autospec
